Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
title-fetch
/
alias
Title Fetch Alias
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/title-fetch/alias \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "iban": "PK62ABPA0010000222380218",
    "type": "ALIAS_TYPE_UNSPECIFIED",
    "currency": "PKR",
    "servicer_member_id": "SAFEPAYZ",
    "name": "Raast-Saphir-Merch",
    "is_default": true,
    "dba": "The best business 101",
    "mcc": "9032",
    "account_title": "",
    "account_type": ""
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

type
string

Alias type used for lookup; only TILL_CODE is supported currently.

Example:

"TILL_CODE"

value
integer

Alias value to resolve; must be provided when alias_type is supplied.

Example:

541732040

with_title_fetch
boolean

When true, include account title details in the response.

Example:

true

Response

This response contains account title details fetched from Raast for an alias

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Raast account metadata resolved by IBAN or alias lookup